# Crow: crow::Trie Class Reference

crow::Trie Class Reference

A search tree. More...

`#include <routing.h>`

## Classes

struct | Node

## Public Member Functions

bool | is_empty ()
| Check whether or not the trie is empty.
void | validate ()
std::pair< unsigned, routing_params > | find (const std::string &req_url, const Node *node=nullptr, unsigned pos=0, routing_params *params=nullptr) const
void | add (const std::string &url, unsigned rule_index)
void | debug_print ()

## Detailed Description

A search tree.

The documentation for this class was generated from the following file:

- /home/farook/cppsrv/crow-0.3-fordoc/include/crow/routing.h